Skip to main content
GET
/
oauth
/
apps
/
{clientId}
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/oauth/apps/{clientId} \
  --header 'Authorization: Bearer <token>'
{
  "clientId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "iconUrl": "<string>",
  "homepageUrl": "<string>",
  "privacyPolicyUrl": "<string>",
  "termsOfServiceUrl": "<string>",
  "ownerOrgName": "<string>",
  "approved": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

clientId
string
required
Minimum string length: 1

Response

OK

Public-safe OAuth app metadata for the consent screen

clientId
string
required
name
string
required
description
string | null
required
iconUrl
string<uri> | null
required
homepageUrl
string<uri> | null
required
privacyPolicyUrl
string<uri> | null
required
termsOfServiceUrl
string<uri> | null
required
ownerOrgName
string | null
required

Display name of the org that registered the app

approved
boolean
required